Bug 1015323 - Timer nullpointer due to race condition during update
Summary: Timer nullpointer due to race condition during update
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: BRE
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ER5
: 6.0.0
Assignee: Mario Fusco
QA Contact: Marek Winkler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-10-03 23:01 UTC by Mark Proctor
Modified: 2014-08-06 20:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 20:20:35 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker DROOLS-284 0 Major Resolved Timer nullpointer due to race condition during update 2016-06-30 19:49:52 UTC

Description Mark Proctor 2013-10-03 23:01:03 UTC
If the timer fires at the same time as an update it results in the child being propagated twice. We need to synchronize to ensure that this does not happen. The update should cancel the timer, so it doesn't try and schedule a propagation.

Comment 1 JBoss JIRA Server 2013-10-03 23:03:13 UTC
Mark Proctor <mproctor@redhat.com> updated the status of jira DROOLS-284 to Resolved

Comment 3 Mario Fusco 2013-10-04 08:08:29 UTC
Fixed by Mark with this commit: https://github.com/droolsjbpm/drools/commit/859b1a5915fe89ba37483afc84c6dd00fe07878a

Comment 4 Marek Winkler 2013-12-12 16:59:05 UTC
Verified on BRMS 6.0.0 ER5.


Note You need to log in before you can comment on or make changes to this bug.